org.keycloak.models

## Class ParConfig

- java.lang.Object
- - org.keycloak.models.AbstractConfig
  - - org.keycloak.models.ParConfig

- All Implemented Interfaces:
    Serializable

      public class ParConfig
      extends AbstractConfig

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_PAR_REQUEST_URI_LIFESPAN`
    `static String` | `PAR_REQUEST_URI_LIFESPAN`
    `static String` | `REQUIRE_PUSHED_AUTHORIZATION_REQUESTS`

    - ### Fields inherited from class org.keycloak.models.AbstractConfig

      `realm, realmForWrite`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParConfig(RealmModel realm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getRequestUriLifespan()`
    `boolean` | `isRequirePushedAuthorizationRequests(ClientModel client)`
    `void` | `setRequestUriLifespan(Integer requestUriLifespan)`
    `void` | `setRequestUriLifespan(String requestUriLifespan)`

    - ### Methods inherited from class org.keycloak.models.AbstractConfig

      `persistRealmAttribute, persistRealmAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PAR_REQUEST_URI_LIFESPAN

          public static final String PAR_REQUEST_URI_LIFESPAN

      See Also:
        Constant Field Values

    - #### DEFAULT_PAR_REQUEST_URI_LIFESPAN

          public static final int DEFAULT_PAR_REQUEST_URI_LIFESPAN

      See Also:
        Constant Field Values

    - #### REQUIRE_PUSHED_AUTHORIZATION_REQUESTS

          public static final String REQUIRE_PUSHED_AUTHORIZATION_REQUESTS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ParConfig

          public ParConfig(RealmModel realm)

  - ### Method Detail

    - #### getRequestUriLifespan

          public int getRequestUriLifespan()

    - #### setRequestUriLifespan

          public void setRequestUriLifespan(String requestUriLifespan)

    - #### setRequestUriLifespan

          public void setRequestUriLifespan(Integer requestUriLifespan)

    - #### isRequirePushedAuthorizationRequests

          public boolean isRequirePushedAuthorizationRequests(ClientModel client)

Copyright © 2021 JBoss by Red Hat. All rights reserved.